package info.knacki.prometheusandroidexporter.collector;

import java.util.ArrayDeque;
import java.util.Collection;

import info.knacki.prometheusandroidexporter.CollectorValue;
import info.knacki.prometheusandroidexporter.ICollector;

public class TestCollector implements ICollector {
    private final CollectorValue countCollector = new CollectorValue("counter", "A count that counts", CollectorValue.Type.COUNTER);
    private int count =0;

    @Override
    public Collection<CollectorValue> ReadValues() {
        ArrayDeque<CollectorValue> result = new ArrayDeque<>();

        CollectorValue val = new CollectorValue(countCollector);
        val.SetValue(count++);
        result.add(val);

        return result;
    }
}
